/////////////////////////////////////////////////////
//Pendelstab (masselos gedacht) aus Kapitel Simulation
//Mit diesem Sketch werden die Schwingungen eines
//Fadenpendels simuliert. Man kann eine harmonische
//Schwingung voraussetzten, wenn die Amplitude unter
//5 Grad bleibt.
/////////////////////////////////////////////////////
float r = 500;//Pendellänge
float alpha = 0;
float x,y;
float t = 0;
float g = 9.81;//Erdbeschleunigung
float omega = 0;//Winkelgeschwindigkeit
boolean losgelassen = false;

void setup() {
  size(400, 800);
  background(255);
  frameRate(30);
  smooth();
  omega = sqrt(g/r);//Nur mit diesem Wert von Omega 
  //ist die Bewegungsgleichung  alpha = 0.2*sin(omega*t + 1.5);
  //eine Lösung der zugehörigen Differentialgleichung
}

void draw() { 
  background(255);
  translate(200,100);
  stroke(100); 
  strokeWeight(4);

  x = r*sin(alpha);
  y = r*cos(alpha);
 // alpha = 0.2*sin(omega*t + 1.5);//ohne Dämpfung
  alpha = 0.2/exp(0.01*t)*sin(omega*t + 1.5);
  line(0,0,x,y);
  noStroke();fill(0,150,0);
  ellipse(0,0,15,15);
  stroke(0);strokeWeight(1);
  fill(0,0,100);
  ellipse(x,y,50,50);
  
  if (mousePressed) losgelassen = true;
  if(losgelassen) t++;
}